org.apache.poi.hwpf.model.types

## Class FLDAbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.FLDAbstractType

- Direct Known Subclasses:
    FieldDescriptor

      @Internal
      public abstract class FLDAbstractType
      extends java.lang.Object

  Field Descriptor (FLD).

  Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

  Author:
    Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc]

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected byte` | `field_1_chHolder`
    `protected byte` | `field_2_flt`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FLDAbstractType()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fillFields(byte[] data, int offset)`
    `byte` | `getCh()` Type of field boundary the FLD describes: 19 -- field begin mark, 20 -- field separation mark; 21 -- field end mark
    `byte` | `getChHolder()` ch field holder (along with reserved bits).
    `byte` | `getFlt()` Field type when ch == 19 OR field flags when ch == 21 .
    `byte` | `getReserved()` Reserved
    `static int` | `getSize()` Size of record (exluding 4 byte header)
    `boolean` | `isFDiffer()` Ignored for saved file
    `boolean` | `isFHasSep()` ==1 when field has a field separator
    `boolean` | `isFLocked()` ==1 when field is locked from recalculation
    `boolean` | `isFNested()` ==1 when field is nested within another field
    `boolean` | `isFPrivateResult()` ==1 whenever the result of the field is never to be shown
    `boolean` | `isFResultDirty()` ==1 when user has edited or formatted the result.
    `boolean` | `isFResultEdited()` ==1 when user has inserted text into or deleted text from the result
    `boolean` | `isFZombieEmbed()` ==1 when result still believes this field is an EMBED or LINK field
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setCh(byte value)` Sets the ch field value.
    `void` | `setChHolder(byte field_1_chHolder)` ch field holder (along with reserved bits).
    `void` | `setFDiffer(boolean value)` Sets the fDiffer field value.
    `void` | `setFHasSep(boolean value)` Sets the fHasSep field value.
    `void` | `setFLocked(boolean value)` Sets the fLocked field value.
    `void` | `setFlt(byte field_2_flt)` Field type when ch == 19 OR field flags when ch == 21 .
    `void` | `setFNested(boolean value)` Sets the fNested field value.
    `void` | `setFPrivateResult(boolean value)` Sets the fPrivateResult field value.
    `void` | `setFResultDirty(boolean value)` Sets the fResultDirty field value.
    `void` | `setFResultEdited(boolean value)` Sets the fResultEdited field value.
    `void` | `setFZombieEmbed(boolean value)` Sets the fZombieEmbed field value.
    `void` | `setReserved(byte value)` Sets the reserved field value.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_1_chHolder

          protected byte field_1_chHolder

    - #### field_2_flt

          protected byte field_2_flt

  - ### Constructor Detail

    - #### FLDAbstractType

          public FLDAbstractType()

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getSize

          public static int getSize()

      Size of record (exluding 4 byte header)

    - #### getChHolder

          public byte getChHolder()

      ch field holder (along with reserved bits).

    - #### setChHolder

          public void setChHolder(byte field_1_chHolder)

      ch field holder (along with reserved bits).

    - #### getFlt

          public byte getFlt()

      Field type when ch == 19 OR field flags when ch == 21 .

    - #### setFlt

          public void setFlt(byte field_2_flt)

      Field type when ch == 19 OR field flags when ch == 21 .

    - #### setCh

          public void setCh(byte value)

      Sets the ch field value. Type of field boundary the FLD describes: 19 -- field begin mark, 20 -- field separation mark; 21 -- field end mark

    - #### getCh

          public byte getCh()

      Type of field boundary the FLD describes: 19 -- field begin mark, 20 -- field separation mark; 21 -- field end mark
      Returns:
        the ch field value.

    - #### setReserved

          public void setReserved(byte value)

      Sets the reserved field value. Reserved

    - #### getReserved

          public byte getReserved()

      Reserved
      Returns:
        the reserved field value.

    - #### setFDiffer

          public void setFDiffer(boolean value)

      Sets the fDiffer field value. Ignored for saved file

    - #### isFDiffer

          public boolean isFDiffer()

      Ignored for saved file
      Returns:
        the fDiffer field value.

    - #### setFZombieEmbed

          public void setFZombieEmbed(boolean value)

      Sets the fZombieEmbed field value. ==1 when result still believes this field is an EMBED or LINK field

    - #### isFZombieEmbed

          public boolean isFZombieEmbed()

      ==1 when result still believes this field is an EMBED or LINK field
      Returns:
        the fZombieEmbed field value.

    - #### setFResultDirty

          public void setFResultDirty(boolean value)

      Sets the fResultDirty field value. ==1 when user has edited or formatted the result. == 0 otherwise

    - #### isFResultDirty

          public boolean isFResultDirty()

      ==1 when user has edited or formatted the result. == 0 otherwise
      Returns:
        the fResultDirty field value.

    - #### setFResultEdited

          public void setFResultEdited(boolean value)

      Sets the fResultEdited field value. ==1 when user has inserted text into or deleted text from the result

    - #### isFResultEdited

          public boolean isFResultEdited()

      ==1 when user has inserted text into or deleted text from the result
      Returns:
        the fResultEdited field value.

    - #### setFLocked

          public void setFLocked(boolean value)

      Sets the fLocked field value. ==1 when field is locked from recalculation

    - #### isFLocked

          public boolean isFLocked()

      ==1 when field is locked from recalculation
      Returns:
        the fLocked field value.

    - #### setFPrivateResult

          public void setFPrivateResult(boolean value)

      Sets the fPrivateResult field value. ==1 whenever the result of the field is never to be shown

    - #### isFPrivateResult

          public boolean isFPrivateResult()

      ==1 whenever the result of the field is never to be shown
      Returns:
        the fPrivateResult field value.

    - #### setFNested

          public void setFNested(boolean value)

      Sets the fNested field value. ==1 when field is nested within another field

    - #### isFNested

          public boolean isFNested()

      ==1 when field is nested within another field
      Returns:
        the fNested field value.

    - #### setFHasSep

          public void setFHasSep(boolean value)

      Sets the fHasSep field value. ==1 when field has a field separator

    - #### isFHasSep

          public boolean isFHasSep()

      ==1 when field has a field separator
      Returns:
        the fHasSep field value.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.